   /** Теоретичні питання:

    1.Опишіть своїми словами як працює метод forEach.
    2.Як очистити масив?
    3.Як можна перевірити, що та чи інша змінна є масивом?*/

   //Відповідь:

   // 1. Метод forEach переберає всі елементи масиву,він создає функцію яка виконається для всих елементів масиву,можна передати три параметри
   // переший це елемент масиву,другий це індекс,а третій це сам елемент
   //2.Очистити масив можна за допомогою length = 0
   //3. Перевірити масив це чи ні можна за допомогою методу Array.isArray.

   /** Завдання:
    Реалізувати функцію фільтру масиву за вказаним типом даних.
       Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

    Технічні вимоги:
    Написати функцію filterBy(), яка прийматиме 2 аргументи. Перший аргумент - масив, який міститиме будь-які дані, другий аргумент - тип даних.
    Функція повинна повернути новий масив, який міститиме всі дані,
       які були передані в аргумент, за винятком тих, тип яких був переданий другим аргументом.
       Тобто якщо передати масив ['hello', 'world', 23, '23', null], і другим аргументом передати 'string', то функція поверне масив [23, null].*/




   let array = ['hello', 'world', 23, '23', null,];
   let del = "string";

   const filterBy = (arr, type) => arr.filter(item => typeof item !== type)

   console.log(filterBy(array, del));
